package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-14
 */
public class Bodypart implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 二级部位
     */
    private String subBodypart;

    /**
     * 二级部位排序号
     */
    private Integer subOrder;

    /**
     * 一级部位
     */
    private String bodypart;

    /**
     * 一级部位排序号
     */
    private Integer order;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getSubBodypart() {
        return subBodypart;
    }

    public void setSubBodypart(String subBodypart) {
        this.subBodypart = subBodypart;
    }
    public Integer getSubOrder() {
        return subOrder;
    }

    public void setSubOrder(Integer subOrder) {
        this.subOrder = subOrder;
    }
    public String getBodypart() {
        return bodypart;
    }

    public void setBodypart(String bodypart) {
        this.bodypart = bodypart;
    }
    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }

    @Override
    public String toString() {
        return "Bodypart{" +
        "id=" + id +
        ", subBodypart=" + subBodypart +
        ", subOrder=" + subOrder +
        ", bodypart=" + bodypart +
        ", order=" + order +
        "}";
    }
}
